import { TextAnnotator } from '@recogito/text-annotator';
import { EventBus, PDFViewer } from 'pdfjs-dist/web/pdf_viewer.mjs';
export declare const createAPI: <E extends unknown>(anno: TextAnnotator<E>, viewer: PDFViewer, eventBus: EventBus) => {
    scrollIntoView: (annotation: import('..').PDFAnnotation) => void;
    setScale: (size: import('..').PDFScale | number) => number;
    zoomIn: (percentage?: number) => number;
    zoomOut: (percentage?: number) => number;
};
