import { TextAnnotationStore } from '@recogito/text-annotator';
interface PDFAnnotationStore extends TextAnnotationStore {
    onLazyRender(page: number): void;
}
/**
 * The PDF plugin intercepts a few methods on the standard
 * TextAnnotationStore and applies PDF-specific target-reviving.
 */
export declare const createPDFStore: (store: TextAnnotationStore) => PDFAnnotationStore;
export {};
